Index Page b1950_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble b1950_c ( void )

#### Abstract

       Return the Julian Date corresponding to Besselian Date 1950.0.

#### Required_Reading

       None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       The function returns the Julian Date corresponding to Besselian
       date 1950.0.

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns 2433282.42345905, the Julian Date corresponding
       to Besselian Date 1950.0 as reported by Lieske [1].

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       Lieske [1] defines a mapping from Julian Ephemeris Date
       to Besselian:

          BE = 1900. + (JED - 2415020.31352)/365.242198781

       The inverse mapping being:

          JED = (BE - 1900.)*365.242198781 + 2415020.31352

#### Examples

       The following code fragment illustrates the use of b1950_c.

            /.
            Convert Julian Date to UTC seconds past the reference
            epoch (b1950_c).
            ./

            spref = ( jd - b1950_c() ) * spd_c();

#### Restrictions

       None.

#### Literature_References

       [1] Jay Lieske, ``Precession Matrix Based on IAU (1976)
           System of Astronomical Constants,'' Astron. Astrophys.
           73, 282-284 (1979).

#### Author_and_Institution

       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 2.0.0, 01-SEP-2005 (EDW)

          This routine now returns the value reported in the Lieske
          paper:

             2433282.42345905

          The same value returned by the FORTRAN SPICELIB routine
          B1950.

          This routine previously returned the value reported in the
          "Explanatory Supplement to the Astronomical Almanac", 1992,
          page 699:

             2433282.423

          The ESAA value describing a truncation of the Lieske value.
          The difference between the two values expressed as seconds
          yields approximately 39.662 seconds.

       -CSPICE Version 1.0.1, 08-FEB-1998 (EDW)

           Corrected and clarified header entries.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)

#### Index_Entries

       besselian date 1950.0

#### Link to routine b1950_c source file b1950_c.c

    Wed Apr  5 17:54:28 2017